# ReScript toolkit

## Setup

Install the package :

```bash
npm i -S @colisweb/rescript-toolkit
```

Add the package to the `bsconfig.json` file :

```json
{
  "bs-dependencies": ["@colisweb/rescript-toolkit"]
}
```

Import the style in your app :

```js
// App.js
import "@colisweb/rescript-toolkit/src/ui/styles.css";
```

### Add Tailwind

This toolkit is based on [tailwindcss](https://tailwindcss.com/).
We share a postcss config that you can include to your webpack config

## Usage

The bindings in the _vendors_ are **globaly accessible**.

```rescript

@react.component
let make = () => {
  let dialog = Toolkit.Hooks.useDisclosure();

  <div className="bg-white" />
};
```

### Local development

Run bsb

```bash
npm run dev
```
